# Uses of Enum
com.databend.jdbc.StatementType

Packages that use StatementType
Package
Description
com.databend.jdbc

## Uses of StatementType in com.databend.jdbc

Methods in com.databend.jdbc that return StatementType
Modifier and Type
Method
Description
`StatementType`
NonQueryRawStatement.`getStatementType()`
`StatementType`
QueryRawStatement.`getStatementType()`
`abstract StatementType`
RawStatement.`getStatementType()`
`StatementType`
SetParamRawStatement.`getStatementType()`
`static StatementType`
StatementType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StatementType[]`
StatementType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.